Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class CRLDistPoint

`java.lang.Object
oracle.security.crypto.cert.CRLDistPoint`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CRLDistPoint
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

The name of a CRL distribution point, as defined in RFC 2459.

See Also:
  `oracle.security.crypto.cert.extension.CRLDistPointExtension`

Constructor Summary
`CRLDistPoint(CRLDistPointName distPointName)` Create a new `CRLDistPoint` with the given `GeneralName`.
`CRLDistPoint(GeneralName crlIssuerName)` Create a new `CRLDistPoint` with the given general name (relative to the CRL issuer's name).
`CRLDistPoint(java.io.InputStream is)` Create a new `CRLDistPoint` by reading its encoded value from the given input stream.

Method Summary
`void` | `addCRLIssuerName(GeneralName crlIssuerName)` Adds a name to this distribution point representing the CRL issuer's name.
`void` | `clearAllReasonFlags()`
`void` | `clearReasonFlag(CRLReason reason)`
`java.util.Vector` | `getCRLIssuerNames()` Gets the CRL issuer's name for this distribution point.
`CRLDistPointName` | `getDistPointName()` Gets the distribution point name for this distribution point.
`boolean` | `hasReasonFlag(CRLReason reason)` Returns whether or not the distribution point has revocations for the given reason code.
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`void` | `setDistPointName(CRLDistPointName distPointName)` Sets the distribution point name for this distribution point.
`void` | `setReasonFlag(CRLReason reason)` Sets whether or not the distribution point has revocations for the given reason flag.
`void` | `setReasonFlags(CRLReason[] crlReasons)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRLDistPoint

    public CRLDistPoint(CRLDistPointName distPointName)

  Create a new `CRLDistPoint` with the given `GeneralName`.

### CRLDistPoint

    public CRLDistPoint(GeneralName crlIssuerName)

  Create a new `CRLDistPoint` with the given general name (relative to the CRL issuer's name).

### CRLDistPoint

    public CRLDistPoint(java.io.InputStream is)
                 throws java.io.IOException

  Create a new `CRLDistPoint` by reading its encoded value from the given input stream.

Method Detail

### setDistPointName

    public void setDistPointName(CRLDistPointName distPointName)

  Sets the distribution point name for this distribution point.

### getDistPointName

    public CRLDistPointName getDistPointName()

  Gets the distribution point name for this distribution point.
  Returns:
    a `CRLDistPointName` or `null` if none is defined.

### hasReasonFlag

    public boolean hasReasonFlag(CRLReason reason)

  Returns whether or not the distribution point has revocations for the given reason code.

  If no reason flags have been set, the distribution point supports all reason codes, and `hasReasonFlag` will return `true` for all codes.

  Parameters:
    `reason` - the CRL Reason flag to test, defined as constants in the `CRLReason` class.
  Returns:
    `true` if the given reason code is supported by this distribution point, otherwise `false`.
  See Also:
    `setReasonFlag(oracle.security.crypto.cert.CRLReason)`

### setReasonFlag

    public void setReasonFlag(CRLReason reason)

  Sets whether or not the distribution point has revocations for the given reason flag.
  Parameters:
    `reason` - the CRL Reason flag to test, defined as constants in the `CRLReason` class.
  See Also:
    `hasReasonFlag(oracle.security.crypto.cert.CRLReason)`

### setReasonFlags

    public void setReasonFlags(CRLReason[] crlReasons)

### clearReasonFlag

    public void clearReasonFlag(CRLReason reason)

### clearAllReasonFlags

    public void clearAllReasonFlags()

### addCRLIssuerName

    public void addCRLIssuerName(GeneralName crlIssuerName)

  Adds a name to this distribution point representing the CRL issuer's name.

### getCRLIssuerNames

    public java.util.Vector getCRLIssuerNames()

  Gets the CRL issuer's name for this distribution point.
  Returns:
    a `Vector` of `GeneralName` relative to the CRL issuer, or `null` if none is defined.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.